Get an object
curl --request GET \
--url https://api.plane.com/v1/objects/{key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plane.com/v1/objects/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plane.com/v1/objects/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Objects
Get an object
Retrieve a visible Object definition.
GET
/
v1
/
objects
/
{key}
Get an object
Requires
objects:read, a verified administrator, and Objects enabled for the workspace.
Parameters
string
required
Canonical Object key, such as
worker or workspace.equipment.Returns
Returns the Object definition. Returns not found when the key is unknown or outside the caller’s workspace catalog.Was this page helpful?
⌘I